#include "stdafx.h"


int _tmain( int /*argc*/, _TCHAR* /*argv[]*/ )
{
	int		i_ReturnValue;
	HANDLE	h_BoardHandle;
	ULONG	ul_ReadValue;
	
	UCHAR	uc_Channel, uc_Polarity;
	USHORT	us_Value;


	i_ReturnValue = OpenBoard(&h_BoardHandle);
	if (i_ReturnValue != 0)
	{
		printf("Error %d opening the board \n", i_ReturnValue);
		goto end;
	}

	// Ask for the channel
	ReadUlong("Select the channel to write (0 to 3) ", 0, 3, &ul_ReadValue );
	uc_Channel = (UCHAR) ul_ReadValue;

	// Ask for output polarity
	ReadUlong("  - Select the polarity (0: Unipolar, 1: Bipolar) ", 0, 1, &ul_ReadValue );

	switch ( ul_ReadValue )
	{
		case 0:
			uc_Polarity = PCIE3121_OUTPUT_MODE_UNIPOLAR;

			// Ask for output value
			ReadUlong("  - Select the output value (Unipolar: 0 to 32767) ", 0, 32767, &ul_ReadValue);
			us_Value = (USHORT) ul_ReadValue;
			break;

		case 1:
			uc_Polarity = PCIE3121_OUTPUT_MODE_BIPOLAR;

			// Ask for output value
			ReadUlong("  - Select the output value (Bipolar: 0 to 65535) ", 0, 65535, &ul_ReadValue);
			us_Value = (USHORT) ul_ReadValue;
			break;

		default:
			printf("Invalid output polarity \n");
			goto cleanup;
	}


	i_ReturnValue = i_PCIe3121_Write1AnalogOutput(
		h_BoardHandle,
		uc_Channel,
		uc_Polarity,
		us_Value );

	if ( i_ReturnValue != 0 ) printf("Error %d in i_PCIe3121_Write1AnalogOutput \n", i_ReturnValue);
	else printf("i_PCIe3121_Write1AnalogOutput OK \n");


cleanup:
	i_ReturnValue = i_PCIe3121_CloseBoard(h_BoardHandle);
	if (i_ReturnValue != 0) printf("Error %d in i_PCI3116_CloseBoard \n", i_ReturnValue);
	else printf("i_PCI3116_CloseBoard OK \n");


end:
	printf("\n Press any key to exit the sample ...");
	_getch();

	return 0;
}

