//##protect##"FileHeader"
/** @file unknown_typePrefix__PCIe3121_mex.c
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 01.11.2012
 *  @date    $LastChangedDate$
 *  @version $LastChangedRevision$
 *
 *  @par DESCRIPTION
 *  unknown_typePrefix__PCIe3121_mex MEX file
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2012 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

#include "PCIe3121.h"
#include "mex.h"
#include "matrix.h"

/* i_PCIe3121_mexGetBoardInformation */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
	/* Declaration of the arguments of the function */
	INT *returnValue = mxCalloc(1, sizeof(INT));
	BYTE boardIndex = 0;
	const DWORD identifierStringSize = 64;
	CHAR *identifier = mxCalloc(identifierStringSize, sizeof(CHAR));
	DWORD *UINumber = mxCalloc(1, sizeof(DWORD)); 
	DWORD *deviceNumber = mxCalloc(1, sizeof(DWORD));
	DWORD *busNumber = mxCalloc(1, sizeof(DWORD));
	DWORD *baseAddress0 = mxCalloc(1, sizeof(DWORD));
	DWORD *baseAddress1 = mxCalloc(1, sizeof(DWORD));
	DWORD *baseAddress2 = mxCalloc(1, sizeof(DWORD));
	DWORD *baseAddress3 = mxCalloc(1, sizeof(DWORD));
	BYTE *interrupt = mxCalloc(1, sizeof(BYTE));

	/* Check the number of input and output parameters */
	if (nrhs != 1)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe3121_GetBoardInformation:nrhs", "1 input is required.\n");
	if (nlhs != 10)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe3121_GetBoardInformation:nlhs", "9 outputs are required.\n");

	/* Acquisition of the input(s) */
	boardIndex = (BYTE)mxGetScalar(prhs[0]);

	/* Call of the C function */
	*returnValue = i_PCIe3121_GetBoardInformation(boardIndex, identifierStringSize, identifier, UINumber, deviceNumber, busNumber, baseAddress0, baseAddress1, baseAddress2, baseAddress3, interrupt);

	/* Creation of the output(s) */
	plhs[0] = mxCreateNumericArray(0, NULL, mxINT16_CLASS, mxREAL);
	mxSetData(plhs[0], returnValue);  mxSetM(plhs[0], 1);  mxSetN(plhs[0], 1);
	plhs[1] = mxCreateCharMatrixFromStrings(1, &identifier);
	plhs[2] = mxCreateNumericArray(0, NULL, mxINT32_CLASS, mxREAL);
	mxSetData(plhs[2], UINumber);  mxSetM(plhs[2], 1);  mxSetN(plhs[2], 1);
	plhs[3] = mxCreateNumericArray(0, NULL, mxINT32_CLASS, mxREAL);
	mxSetData(plhs[3], deviceNumber);  mxSetM(plhs[3], 1);  mxSetN(plhs[3], 1);
	plhs[4] = mxCreateNumericArray(0, NULL, mxINT32_CLASS, mxREAL);
	mxSetData(plhs[4], busNumber);  mxSetM(plhs[4], 1);  mxSetN(plhs[4], 1);
	plhs[5] = mxCreateNumericArray(0, NULL, mxINT32_CLASS, mxREAL);
	mxSetData(plhs[5], baseAddress0);  mxSetM(plhs[5], 1);  mxSetN(plhs[5], 1);
	plhs[6] = mxCreateNumericArray(0, NULL, mxINT32_CLASS, mxREAL);
	mxSetData(plhs[6], baseAddress1);  mxSetM(plhs[6], 1);  mxSetN(plhs[6], 1);
	plhs[7] = mxCreateNumericArray(0, NULL, mxINT32_CLASS, mxREAL);
	mxSetData(plhs[7], baseAddress2);  mxSetM(plhs[7], 1);  mxSetN(plhs[7], 1);
	plhs[8] = mxCreateNumericArray(0, NULL, mxINT32_CLASS, mxREAL);
	mxSetData(plhs[8], baseAddress3);  mxSetM(plhs[8], 1);  mxSetN(plhs[8], 1);
	plhs[9] = mxCreateNumericArray(0, NULL, mxINT8_CLASS, mxREAL);
	mxSetData(plhs[9], interrupt);  mxSetM(plhs[9], 1);  mxSetN(plhs[9], 1);
}
