//##protect##"FileHeader"
/** @file unknown_typePrefix__PCIe3121_mex.c
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 01.11.2012
 *  @date    $LastChangedDate$
 *  @version $LastChangedRevision$
 *
 *  @par DESCRIPTION
 *  unknown_typePrefix__PCIe3121_mex MEX file
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2012 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

#include "PCIe3121.h"
#include "mex.h"
#include "matrix.h"

/* i_PCIe3121_mexGetDLLVersion */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
	/* Declaration of the arguments of the function */
	INT *returnValue = mxCalloc(1, sizeof(INT));
	DWORD DLLVersion = 0;

	/* Check the number of input and output parameters */
	if (nrhs != 0)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe3121_GetDLLVersion:nrhs", "No input required.\n");
	if (nlhs != 2)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe3121_GetDLLVersion:nlhs", "2 outputs are required.\n");

	/* Acquisition of the input(s) */

	/* Check of the values of the input's parameters */

	/* Call of the C function */
	*returnValue = i_PCIe3121_GetDLLVersion(&DLLVersion);

	/* Creation of the output(s) */
	plhs[0] = mxCreateNumericArray(0, NULL, mxINT16_CLASS, mxREAL);
	mxSetData(plhs[0], returnValue);  mxSetM(plhs[0], 1);  mxSetN(plhs[0], 1);
	//plhs[1] = mxCreateNumericArray(0, NULL, mxUINT32_CLASS, mxREAL);
	//mxSetData(plhs[1], DLLVersion);  mxSetM(plhs[1], 1);  mxSetN(plhs[1], 1);
	plhs[1] = mxCreateDoubleScalar((double)DLLVersion);
}
