function [returnValue] = i_PCIe3121_mexSetAnalogInputMode(deviceHandle, inputMode)
% i_PCIe3121_mexSetAnalogInputMode
%
% Sets the analog input mode to single-ended or differential 
% The input mode has to be set at least once before any call to an analog input function. 
% Once set, the configuration will last until the program ends, or another mode is set. 
% 
% In single-ended mode, 16 analog inputs are available. 
% In differential mode, there are only 8 analog inputs available. 
% Please refer to the manual for further information.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    inputMode                 "Input mode (1 -> Single-Ended, 2 -> Differential)"
%
% Output parameters:
%    returnValue             "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCIe3121_mexSetAnalogInputMode(deviceHandle, inputMode);
