//##protect##"FileHeader"
/** @file i_PCIe3121_mexSetDigitalOutputMemoryOn.c
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 01.11.2012
 *  @date    $LastChangedDate$
 *  @version $LastChangedRevision$
 *
 *  @par DESCRIPTION
 *  i_PCIe3121_mexSetDigitalOutputMemoryOn MEX file
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2012 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

#include "PCIe3121.h"
#include "mex.h"
#include "matrix.h"

/* i_PCIe3121_mexSetDigitalOutputMemoryOn */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
	/* Declaration of the local variables of the function */
	INT *returnValue = mxCalloc(1, sizeof(INT));
	HANDLE deviceHandle = 0;
//##protect##"i_PCIe3121_mexSetDigitalOutputMemoryOn_VariablesDefinition"
//##protect##"i_PCIe3121_mexSetDigitalOutputMemoryOn_VariablesDefinition"

	/* Check the number of input and output parameters */
	if (nrhs != 1)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe3121_mexSetDigitalOutputMemoryOn:nrhs", "1 input is required.\n");
	if (nlhs != 1)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe3121_mexSetDigitalOutputMemoryOn:nlhs", "1 output is required.\n");

	/* Acquisition of the input(s) */
	deviceHandle = (HANDLE)(LONG)mxGetScalar(prhs[0]);

	/* Check of the values of the input parameters */

//##protect##"i_PCIe3121_mexSetDigitalOutputMemoryOn_Start"
//##protect##"i_PCIe3121_mexSetDigitalOutputMemoryOn_Start"

	/* Call of the C function */
	*returnValue = i_PCIe3121_SetDigitalOutputMemoryOn(deviceHandle);

	/* Creation of the output(s) */
	plhs[0] = mxCreateNumericArray(0, NULL, mxINT16_CLASS, mxREAL);
	mxSetData(plhs[0], returnValue);  mxSetM(plhs[0], 1);  mxSetN(plhs[0], 1);

//##protect##"i_PCIe3121_mexSetDigitalOutputMemoryOn_End"
//##protect##"i_PCIe3121_mexSetDigitalOutputMemoryOn_End"
}
